### DbEnv::log_compare |

`

###

    #include <db_cxx.h>

    static int
    DbEnv::log_compare(const DbLsn *lsn0, const DbLsn *lsn1);

### Description: DbEnv::log_compare

The DbEnv::log_compare method allows the caller to compare two DbLsn objects, returning 0 if they are equal, 1 if lsn0 is greater than lsn1, and -1 if lsn0 is less than lsn1.

### Parameters

lsn0
  The lsn0 parameter is one of the DbLsn objects to be compared.
lsn1
  The lsn1 parameter is one of the DbLsn objects to be compared.

### Class

DbEnv, DbLogc, DbLsn

### See Also

Logging Subsystem and Related Methods`

Copyright (c) 1996-2005 Sleepycat Software, Inc. - All rights reserved.